#include <QtGui>
#include <QString>

#include "exampledialog.h"

ExampleDialog::ExampleDialog(QWidget *parent) : QDialog(parent)
{
    setupUi(this);
/*    connect(operand0, SIGNAL(textChanged(const QString &)), this, SLOT(on_Operand0_textChanged(const QString &)));
    connect(operand1, SIGNAL(textChanged(const QString &)), this, SLOT(on_Operand1_textChanged(const QString &)));*/
    QRegExp regExp("[0-9]{0,2}");
    operand0->setValidator(new QRegExpValidator(regExp, this));
    operand1->setValidator(new QRegExpValidator(regExp, this));
}

void ExampleDialog::on_operand0_textChanged(const QString &t)
{
    qint32 a = t.toInt();
    qint32 b = operand1->text().toInt();
    qint32 r = a + b;
    QString newResult;
    newResult.setNum(r);
    addition->setText(newResult);
}

void ExampleDialog::on_operand1_textChanged(const QString &t)
{
    qint32 a = operand0->text().toInt();
    qint32 b = t.toInt();
    qint32 r = a + b;
    QString newResult;
    newResult.setNum(r);
    addition->setText(newResult);
}
